function a1_jacobi ( a, x0 )
% A1_JACOBI - Jacobi-Verfahren
%
% Synopsis:
%    a1_jacobi ( x0 )
%
% Return values:
%    (none)
%
% 2001-02-06, Stephan Engelke, Andreas Meister

A       = [ a 14; 
            7 50 ];
eps     = 1e-12;			% stopping tolerance
maxiter = 10000;			% maximum number of iterations

% no user servicable parts below
n       = size (A, 1)			% matrix size, number of rows
rhs     = ones (n,1);			% [ 1 1 ]' or [ 1; 1 ]

D       = diag (diag (A));		% diagonal of A
k       = 0;				% iteration counter

% iteration 0
x       = x0;
xnew    = -inv(D) * ( A - D ) * x + inv (D) * rhs;
xnorm   = norm ( xnew - x, inf) ;

while ( (xnorm > eps) & (k < maxiter) )
  fprintf ('%3i\t%e\n', k,  xnorm );
  x = xnew;
  xnew = -inv(D) * ( A - D ) * x + inv (D) * rhs;
  xnorm = norm ( xnew - x, inf);
  k = k + 1;
end

fprintf ('%3i\t%e\n', k,  xnorm );

%%% EOF %%%